
# Mirror story: A bad time to disrobe
label a_bad_time_to_disrobe:

    with d5
    centered "{size=+7}{color=#cbcbcb}A bad time to disrobe{/color}{/size}"

    nar "In this story the genie has found an invisibility cloak."
    nar "And with the cloak come great opportunities."

    label .choices:

    # Setup
    $ hermione.equip(her_outfit_default)
    $ game.daytime = True
    $ game.weather = "clear"
    stop weather
    call room("main_room")
    call play_music("stop")
    show screen blkfade
    with d5

    menu:
        "-Part 1-":
            jump a_bad_time_to_disrobe_part_1
        "-Part 2-":
            jump a_bad_time_to_disrobe_part_2
        "-Return-":
            $ renpy.end_replay()

label a_bad_time_to_disrobe_part_1:

    call her_chibi("stand","desk","base")

    hide screen blkfade
    with d5

    call music_block
    call bld
    gen "Miss Granger. Have you ever been excited about the thought of being caught?" ("base", xpos="far_left", ypos="head")

    her "Caught?" ("soft", "base", "base", "mid", xpos="right",ypos="base", trans=d3)
    her "In what way professor?" ("base", "base", "base", "mid")

    gen "Well, for today's favour I have a prop for you to use." ("base", xpos="far_left", ypos="head")

    her "A prop sir?" ("base", "base", "base", "mid")

    gen "Yes, I'd like you to put this invisibility cloak on and sneak into one of the boy only areas of the school." ("base", xpos="far_left", ypos="head")

    her "Well, I guess that would be fine..." ("base", "base", "base", "mid")
    her "Seems a bit different than your usual requests." ("soft", "base", "base", "R", cheeks="blush")

    gen "You'd be naked of course." ("base", xpos="far_left", ypos="head")

    her "Naked!?! But what if someone saw me?" ("open", "wide", "base", "stare")

    gen "You'll be wearing the cloak..." ("base", xpos="far_left", ypos="head")
    gen "No one would even know you were there." ("base", xpos="far_left", ypos="head")

    her "{size=-7}Thirty-five points...{/size}" ("annoyed", "closed", "angry", "mid")

    gen "Twenty-five points you said? sounds good to me." ("base", xpos="far_left", ypos="head")

    call her_chibi("stand","desk","base",flip=True)
    her "{size=-7}You heard what I said...{/size}" ("disgust", "closed", "base", "mid", flip=True, trans=dissolve)

    call her_walk("door", "base")
    call her_chibi("leave")

    gen "(Some of that bartering skill put to good use...)" ("grin", xpos="far_left", ypos="head")

    show screen blkfade
    with d5

    $ game.daytime = False
    call update_interface_color
    call music_block

    call her_chibi("stand","desk","base")

    nar "Later that evening, Hermione returns."
    with d3

    hide screen blkfade
    with d5

    call bld
    gen "I'll take that cloak back if you don't mind." ("grin", xpos="far_left", ypos="head")
    her "Certainly." ("base", "base", "base", "mid", xpos="right", ypos="base", flip=False)

    $ renpy.sound.play("sounds/cloth_sound3.ogg")
    pause .8

    gen "Now, spill the beans." ("base", xpos="far_left", ypos="head")
    her "I.. I don't have any beans on me sir." ("soft", "slit", "low", "stare")
    gen "(Is this girl for real?)" ("base", xpos="far_left", ypos="head")
    gen "It's just an expression, tell me... did you complete your assignment?" ("base", xpos="far_left", ypos="head")
    her "I did sir. I snuck into the boys dormitory using the cloak as you suggested." ("soft", "happyCl", "base", "mid")
    gen "Naked?" ("base", xpos="far_left", ypos="head")
    her "Naked... --ish." ("disgust", "base", "base", "R")
    gen "How can you be naked... -ish?" ("base", xpos="far_left", ypos="head")
    her "Well, I had my underwear on, I'd be cold otherwise." ("base", "base", "base", "mid")
    gen "Cold? You'd have the cloak on you..." ("base", xpos="far_left", ypos="head")
    gen "What happened next then?" ("base", xpos="far_left", ypos="head")
    her "Well, a few of the boys were in there." ("base", "base", "base", "mid")
    her "They were playing wizards chess..." ("base", "base", "base", "mid")
    her "Pretty poorly in fact." ("disgust", "wink", "base", "mid")

    gen "..." ("base", xpos="far_left", ypos="head")
    gen "I'm sorry miss Granger but you're going to have to do better than this." ("base", xpos="far_left", ypos="head")
    gen "I expect better from you by now." ("base", xpos="far_left", ypos="head")
    her "So, no points then?" ("angry", "narrow", "annoyed", "mid")
    gen "No, I know you can do better." ("base", xpos="far_left", ypos="head")
    her "Fine! I'll do better next time. Double points! I'll show you!" ("angry", "narrow", "angry", "R")
    gen "That's the spirit. Your house will thank you when you beat the Slytherins by the end of the year." ("base", xpos="far_left", ypos="head")
    her "Thank you professor... I'll remember that for next time." ("grin", "happy", "base", "mid_soft")

    show screen blkfade
    with d3

    show screen quistion_pop_up("{color=#cbcbcb}Hermione will remember that{/color}")
    nar "Hermione returns the next morning, looking nervous but more determined than yesterday."

    $ game.daytime = True
    call update_interface_color
    call music_block

    hide screen quistion_pop_up
    call her_chibi("stand","desk","base")

    hide screen blkfade
    with d3

    her "I see that you have the cloak ready for me sir." ("base", "base", "base", "R",xpos="right",ypos="base")
    gen "Indeed, I'm expecting better from you today, girl." ("base", xpos="far_left", ypos="head")
    her "I won't disappoint you sir!" ("grin", "base", "base", "mid")
    gen "I'll be the judge of that..." ("base", xpos="far_left", ypos="head")

    hide hermione_main
    show screen blkfade
    with d5

    $ game.daytime = False
    call update_interface_color
    call music_block

    nar "Later that evening a distraught-looking Hermione enters the office."

    call her_chibi("top_naked","desk","base")
    $ hermione.strip("robe", "accessory")
    $ hermione.strip("top")

    hide screen blkfade
    with d5

    her "..." ("upset", "base", "base", "mid", tears="mascara_soft",xpos="right",ypos="base")
    gen "What happened? Where's your shirt?" ("base", xpos="far_left", ypos="head")
    her "What does it look like?" ("upset", "base", "base", "mid", tears="mascara_soft")
    gen "Well, I know what it looks like..." ("base", xpos="far_left", ypos="head")
    her "I didn't want to disappoint, sir, so I did what you asked..." ("soft", "base", "base", "mid", tears="mascara_soft")
    her "I went into the girls changing room at the quidditch pitch and put my clothes in one of the lockers." ("base", "base", "base", "mid", tears="mascara_soft")
    gen "Well done. And then?" ("base", xpos="far_left", ypos="head")
    her "I took the cloak and snuck into the boys changing room..." ("soft", "squint", "base", "R", tears="mascara")
    her "I stood next to the doorway so that they wouldn't bump into me." ("open", "base", "base", "mid", tears="mascara")
    gen "Great idea... and no one noticed?" ("base", xpos="far_left", ypos="head")
    her "Well, at first... This damn cloak is too small." ("angry", "base", "base", "mid", tears="mascara")
    her "I thought I would be short enough to fit under it..." ("disgust", "base", "base", "down", tears="mascara")
    her "I didn't notice that my feet were visible..." ("upset", "base", "angry", "mid", tears="mascara")
    gen "(Well, that's a shame.)" ("base", xpos="far_left", ypos="head")
    her "One of the boys saw me shuffle and moved to see what it was so I tried to get away but I slipped... and... and." ("upset", "wide", "base", "shocked", tears="mascara")
    gen "And what?" ("angry", xpos="far_left", ypos="head")
    her "And I slipped and my butt fell out!" ("scream", "wide", "worried", "stare", tears="mascara")

    gen "{size=18}Thirty points to....{/size}" ("grin", xpos="far_left", ypos="head")

    her "I'm not done!" ("open", "narrow", "worried", "down", tears="mascara")
    gen "Sorry, you carry on my dear!" ("base", xpos="far_left", ypos="head")
    her "I ran out and grabbed what I could of my clothes... I think the boy may have seen me." ("soft", "narrow", "worried", "mid_soft", tears="mascara")
    her "Professor.... I'm beginning to have second thoughts about this cloak idea." ("soft", "narrow", "worried", "mid_soft", tears="mascara")
    gen "The boy didn't see your face, that's what matters." ("base", xpos="far_left", ypos="head")
    gen "You could've draped the cloak around your head and it would be enough." ("base", xpos="far_left", ypos="head")
    her "Professor!" ("shock", "wide", "base", "mid", tears="mascara")
    gen "Just trying to lighten the mood." ("base", xpos="far_left", ypos="head")
    gen "Here's an extra five points for a job well done, miss Granger." ("base", xpos="far_left", ypos="head")
    gen "Thirty-five points to Gryffindor!" ("grin", xpos="far_left", ypos="head")
    her "Thank you professor..." ("grin", "base", "base", "mid", tears="mascara")

    call her_walk ("door", "base")

    her "(He's right, they wouldn't recognise me if I didn't show my face...)" ("base", "base", "base", "mid", cheeks="blush", tears="mascara", ypos="head", flip=False)
    her "(would they?)" ("base", "base", "base", "mid", cheeks="blush", tears="mascara")

    call her_chibi("leave")

    show screen blkfade
    with d5

    centered "{size=+7}{color=#cbcbcb}End of part one.{/color}{/size}"

    jump a_bad_time_to_disrobe.choices

label a_bad_time_to_disrobe_part_2:

    call her_chibi("stand","desk","base")

    hide screen blkfade
    with d5

    call music_block
    call bld
    gen "Good afternoon miss Granger." ("base", xpos="far_left", ypos="head")
    her "Good afternoon professor, what can I do for you today?" ("base", "base", "base", "mid",xpos="right",ypos="base")
    gen "Glad you asked, I've got another task for you." ("base", xpos="far_left", ypos="head")
    her "And what task may that be professor." ("soft", "base", "base", "R")
    gen "Well miss Granger, I think somebody owes me a invisibility cloak." ("base", xpos="far_left", ypos="head")
    her "Oh, do you want me to collect it from somebody?" ("open", "base", "base", "mid")
    gen "That somebody is you miss Granger..." ("base", xpos="far_left", ypos="head")
    gen "You left my cloak at the scene of the crime." ("base", xpos="far_left", ypos="head")
    her "What crime professor, what have you gotten me into?" ("upset", "narrow", "annoyed", "mid")
    gen "I'm talking about when you went to visit the boys changing room." ("base", xpos="far_left", ypos="head")
    gen "Or have you forgotten already?" ("base", xpos="far_left", ypos="head")
    her "{size=-7}I've tried to.{/size}" ("upset", "base", "worried", "R")
    gen "Sorry?" ("base", xpos="far_left", ypos="head")
    her "I said, I do remember." ("normal", "base", "base", "R")
    gen "Right, well. Good invisibility cloaks are pretty hard to come by..." ("base", xpos="far_left", ypos="head")
    gen "(I think...)" ("base", xpos="far_left", ypos="head")
    her "No they're not... they're mass produced as far as I know." ("annoyed", "base", "base", "mid")
    her "By house elves I bet..." ("disgust", "closed", "angry", "mid")
    gen "Hey now, I know they might be small but I wouldn't call them elves." ("base", xpos="far_left", ypos="head")
    gen "In any case, the cloak has more of a sentimental value to me... lots of memories." ("base", xpos="far_left", ypos="head")
    gen "(Like the time where your butt fell out of it.)" ("grin", xpos="far_left", ypos="head")
    gen "Oh, the memories... you must retrieve it for me." ("grin", xpos="far_left", ypos="head")
    her "Fine, I'll do it... even though I hold you partly responsible for the situation that lead to me dropping it." ("annoyed", "closed", "angry", "mid")
    gen "Great, let's not dwell on the past then." ("base", xpos="far_left", ypos="head")
    her "..." ("normal", "narrow", "annoyed", "mid")
    her "Do you happen to have any idea of where it is?" ("open", "base", "base", "mid")
    gen "Well, it hasn't been reported as found so unless someone stole it there's only one place it could be." ("base", xpos="far_left", ypos="head")
    her "The boys changing room?" ("base", "narrow", "worried", "down")
    gen "The boys changing room." ("grin", xpos="far_left", ypos="head")
    her "And how many house points?" ("base", "base", "base", "mid")
    gen "For what exactly?" ("base", xpos="far_left", ypos="head")
    her "Retrieving the cloak of course." ("annoyed", "base", "base", "mid")
    gen "You're demanding house points, for your own mistakes miss Granger?" ("base", xpos="far_left", ypos="head")
    her "But I thought..." ("upset", "base", "worried", "mid")
    gen "..." ("base", xpos="far_left", ypos="head")
    her "..." ("upset", "narrow", "worried", "down")
    gen "Fine, but only if we continue where we left of." ("base", xpos="far_left", ypos="head")
    her "With my butt out?!?" ("disgust", "wide", "worried", "stare")
    gen "With your bu--" ("base", xpos="far_left", ypos="head")
    gen "No, well... yes, but this time you'll be prepared." ("base", xpos="far_left", ypos="head")
    her "But... what if they recognise me sir?" ("open", "base", "worried", "mid")
    gen "You'd already know if they had recognised you..." ("base", xpos="far_left", ypos="head")
    her "(That's true...)" ("soft", "base", "base", "mid_soft", cheeks="blush")
    her "And then what, you want me to just walk away?" ("base", "base", "base", "mid", cheeks="blush")
    gen "You can figure it out yourself miss Granger. Once you have the cloak it shouldn't be an issue getting away." ("base", xpos="far_left", ypos="head")
    her "And I want--" ("open", "base", "base", "mid")
    gen "I'll give you forty house points for it." ("base", xpos="far_left", ypos="head")
    her "(I was going to ask for thirty.)" ("soft", "happy", "base", "R", cheeks="blush")
    her "I'll do it..." ("base", "base", "base", "mid")
    gen "Great, you're doing a great service to your house and making an old man very happy." ("grin", xpos="far_left", ypos="head")
    her "By getting your cloak back right?" ("base", "base", "worried", "mid")
    gen "Right..." ("base", xpos="far_left", ypos="head")

    call her_walk(action="leave")

    show screen blkfade
    with d3

    $ game.daytime = False
    call update_interface_color
    call music_block

    nar "Later that evening."

    call her_chibi("stand","door","base")

    hide screen blkfade
    with d3

    call her_walk("desk", "base")
    pause.5

    her "..." ("normal", "narrow", "base", "dead", cheeks="blush",xpos="right",ypos="base")
    gen "Mission success?" ("base", xpos="far_left", ypos="head")
    her "..." ("normal", "narrow", "base", "dead", cheeks="blush")
    gen "Miss Granger?" ("base", xpos="far_left", ypos="head")
    her "Oh, hello professor, yes. Here's your cloak back." ("base", "narrow", "worried", "down")
    gen "..." ("base", xpos="far_left", ypos="head")
    gen "And?" ("base", xpos="far_left", ypos="head")
    her "And what?" ("normal", "happyCl", "worried", "mid")
    gen "And what about your assignment. How did it go?" ("base", xpos="far_left", ypos="head")
    her "Oh... yes, it went very well thank you... no hurdles in any way." ("soft", "base", "worried", "R", cheeks="blush")
    gen "Your face is glowing miss Granger, I can tell when you're being untruthful." ("base", xpos="far_left", ypos="head")
    her "It is? I didn't even notice..." ("normal", "narrow", "base", "down", cheeks="blush")
    gen "You're going to have to elaborate if you'd like those house points." ("base", xpos="far_left", ypos="head")
    her "Oh... okay, I'l just go ahead then..." ("mad", "base", "base", "mid")
    gen "Let me get the popcorn." ("base", xpos="far_left", ypos="head")
    her "popcorn? Where would you get popcorn from in this office?" ("annoyed", "base", "base", "mid")
    gen "Magic cupboard." ("grin", xpos="far_left", ypos="head")
    her "Right... well, I'll just start in that case shall I?" ("base", "narrow", "base", "R_soft")
    her "..." ("base", "base", "base", "mid", cheeks="blush")
    her "So... I went to the boys changing room when they were in quidditch practice." ("open", "narrow", "worried", "down")
    gen "*CRUNCH*" ("base", xpos="far_left", ypos="head")
    her "It's very messy in there... I thought the girls changing room was bad..." ("base", "narrow", "base", "down")
    gen "*CRUNCH* *Chew* *Chew*" ("base", xpos="far_left", ypos="head")
    gen "*CRUNCH*" ("base", xpos="far_left", ypos="head")
    her "Anyway... so I rummaged around in that mess..." ("annoyed", "base", "worried", "mid")
    her "I knew it had to have been somewhere between the showers and the doorway..." ("base", "base", "base", "mid")
    her "After looking around for a while I noticed that the cloak had been pushed under one of the benches lining the wall." ("open", "narrow", "worried", "down")
    her "So I grabbed it and I thought I might as well disrobe and hide in the shower room with the cloak on." ("base", "narrow", "base", "down")
    her "But as I was stuffing my clothes in one of the lockers a boy walked in." ("clench", "base", "worried", "mid")
    gen "*CRUNCH*" ("base", xpos="far_left", ypos="head")
    her "Professor!" ("scream", "base", "angry", "mid")
    gen "*Cough* *Cough*... sorry." ("angry", xpos="far_left", ypos="head")
    her "It is hard to talk about this as it is without your chewing distracting me." ("annoyed", "base", "angry", "mid")
    her "Anyhow..." ("base", "narrow", "angry", "R")
    her "I expected the team to be going for at least another thirty minutes." ("open", "base", "base", "mid")
    her "But that's when the boy walked in..." ("normal", "closed", "base", "mid")
    her "And I panicked and threw the cloak over myself and hid in one of the toilets." ("open", "base", "worried", "R")
    gen "Smart." ("base", xpos="far_left", ypos="head")
    her "..." ("base", "base", "base", "mid", cheeks="blush")
    her "Well, it would've been if I had remembered to lock it." ("base", "narrow", "base", "down")
    gen "Not that smart..." ("grin", xpos="far_left", ypos="head")
    her "Do you want me to continue or not?" ("annoyed", "narrow", "annoyed", "mid")
    gen "You're the one receiving the points here, I'm just providing the means of earning them." ("base", xpos="far_left", ypos="head")
    her "..." ("normal", "narrow", "worried", "down")
    her "As I was saying..." ("base", "narrow", "base", "down")
    her "I went into one of the toilets and I heard the boy shuffling outside." ("base", "closed", "base", "mid")
    her "The room was so small so I tried to back into a corner, but as he came in I knew it wasn't going to work..." ("base", "narrow", "base", "down", cheeks="blush")
    her "So I prayed he wasn't about to sit down and instead I positioned myself above the toilet with my legs around the base." ("clench", "happyCl", "worried", "mid")
    gen "And did he sit down or not?" ("base", xpos="far_left", ypos="head")
    her "No, but he was close enough for me to feel his..." ("mad", "squint", "worried", "up")
    her "His..." ("base", "slit", "worried", "ahegao")
    gen "His what? miss Granger..." ("base", xpos="far_left", ypos="head")
    her "Well... His Penis brushed up against my butt." ("annoyed", "closed", "base", "mid", cheeks="blush")
    gen "How did he manage that?" ("base", xpos="far_left", ypos="head")
    her "The boy wasn't in there to relieve himself in the way I assumed..." ("open", "closed", "angry", "mid", cheeks="blush")
    her "I guess he wasn't paying attention to what sensation he was feeling on the tip of his..." ("normal", "base", "worried", "mid", cheeks="blush")
    her "Anyway..." ("open", "base", "worried", "R", cheeks="blush")
    gen "..." ("base", xpos="far_left", ypos="head")
    her "I'd like my points now." ("base", "narrow", "worried", "down")
    gen "Certainly miss Granger..." ("base", xpos="far_left", ypos="head")
    gen "Forty points to Gryffindor!" ("base", xpos="far_left", ypos="head")
    her "Thank you professor..." ("soft", "base", "base", "mid_soft")

    call her_walk("door", "base")

    her "(I'm glad I had time to clean the cloak before walking in here...)" ("base", "narrow", "base", "dead", cheeks="blush", flip=True)
    her "(That thing was massive...)" ("normal", "narrow", "worried", "down", cheeks="blush")
    her "(What am I thinking? snap out of it...)" ("base", "happyCl", "worried", "mid", cheeks="blush")

    call her_chibi("leave")

    call blkfade
    centered "{size=+10}{color=#cbcbcb}The end{/color}{/size}"

    jump a_bad_time_to_disrobe.choices
